<?php
/**
 * Catch Evolution Pro Custom meta box
 *
 * @package Catch Themes
 * @subpackage Catch_Evolution_Pro
 * @since Catch Evolution Pro 1.0
 */

 // Add the Meta Box
function catchevolution_add_custom_box() {
	add_meta_box(
		'siderbar-layout',									//Unique ID
       __( 'Catch Evolution Options', 'catch-evolution-pro' ),	//Title
        'catchevolution_sidebar_layout',					//Callback function
        'page'												//show metabox in pages
    );
	add_meta_box(
		'siderbar-layout',									//Unique ID
       __( 'Catch Evolution Options', 'catch-evolution-pro' ),	//Title
        'catchevolution_sidebar_layout',					//Callback function
        'post'												//show metabox in pages
    );
}

add_action( 'add_meta_boxes', 'catchevolution_add_custom_box' );


//Header Featured Image Options
global $header_image_options;
$header_image_options = array(
	'default' => array(
		'id'		=> 'catchevolution-header-image',
		'value' 	=> 'default',
		'label' 	=> __( 'Default', 'catch-evolution-pro' ),
	),
	'enable' => array(
		'id'		=> 'catchevolution-header-image',
		'value' 	=> 'enable',
		'label' 	=> __( 'Enable', 'catch-evolution-pro' ),
	),
	'disable' => array(
		'id'		=> 'catchevolution-header-image',
		'value' 	=> 'disable',
		'label' 	=> __( 'Disable', 'catch-evolution-pro' )
	)
);


global $sidebar_layout;
$sidebar_layout = array(
	'default-sidebar'		=> array(
		'id'				=> 'catchevolution-sidebarlayout',
		'value'				=> 'default',
		'label' 			=> sprintf( __( 'Default Layout Set in <a href="%s">Customize</a>', 'catch-evolution-pro' ), esc_url( admin_url('customize.php' ) ) ),
		'thumbnail'			=> ' '
	),
	'right-sidebar'			=> array(
		'id'				=> 'catchevolution-sidebarlayout',
		'value'				=> 'right-sidebar',
		'label'				=> __( 'Right sidebar', 'catch-evolution-pro' ),
		'thumbnail'			=> get_template_directory_uri() . '/images/right-sidebar.png'
	),
	'left-sidebar'			=> array(
		'id'				=> 'catchevolution-sidebarlayout',
		'value'				=> 'left-sidebar',
		'label'				=> __( 'Left sidebar', 'catch-evolution-pro' ),
		'thumbnail'			=> get_template_directory_uri() . '/images/left-sidebar.png'
	),
	'no-sidebar-one-column'	=> array(
		'id'				=> 'catchevolution-sidebarlayout',
		'value'				=> 'no-sidebar-one-column',
		'label'				=> __( 'No Sidebar, One Column', 'catch-evolution-pro' ),
		'thumbnail'			=> get_template_directory_uri() . '/images/one-column.png'
	),
	'no-sidebar-full-width' => array(
		'id'				=> 'catchevolution-sidebarlayout',
		'value'				=> 'no-sidebar-full-width',
		'label'				=> __( 'No sidebar, Full Width', 'catch-evolution-pro' ),
		'thumbnail'			=> get_template_directory_uri() . '/images/no-sidebar-fullwidth.png'
	),
	'no-sidebar'			=> array(
		'id'				=> 'catchevolution-sidebarlayout',
		'value'				=> 'no-sidebar',
		'label'				=> __( 'No sidebar', 'catch-evolution-pro' ),
		'thumbnail'			=> get_template_directory_uri() . '/images/no-sidebar.png'
	),
	'three-columns'			=> array(
		'id'				=> 'catchevolution-sidebarlayout',
		'value'				=> 'three-columns',
		'label'				=> __( 'Three Columns', 'catch-evolution-pro' ),
		'thumbnail'			=> get_template_directory_uri() . '/images/three-columns.png'
	),
	'three-columns-sidebar'			=> array(
		'id'				=> 'catchevolution-sidebarlayout',
		'value'				=> 'three-columns-sidebar',
		'label'				=> __( 'Three Columns Sidebar', 'catch-evolution-pro' ),
		'thumbnail'			=> get_template_directory_uri() . '/images/three-columns-sidebar.png'
	)

);


//Sidebar Options
global $sidebar_options;
$sidebar_options = array(
	'main-sidebar'				=> array(
		'id'					=> 'catchevolution-sidebar-options',
		'value'					=> 'default-sidebar',
		'label'					=> __( 'Default Sidebar', 'catch-evolution-pro' )
	),
	'optional-sidebar-one'		=> array(
		'id'					=> 'catchevolution-sidebar-options',
		'value'					=> 'optional-sidebar-one',
		'label'					=> __( 'Optional Sidebar One', 'catch-evolution-pro' )
	),
	'optional-sidebar-two'		=> array(
		'id'					=> 'catchevolution-sidebar-options',
		'value'					=> 'optional-sidebar-two',
		'label'					=> __( 'Optional Sidebar Two', 'catch-evolution-pro' )
	),
	'optional-sidebar-three'	=> array(
		'id'					=> 'catchevolution-sidebar-options',
		'value'					=> 'optional-sidebar-three',
		'label'					=> __( 'Optional Sidebar three', 'catch-evolution-pro' )
	)
);


/**
 * @renders metabox to for sidebar layout
 */
function catchevolution_sidebar_layout() {
    global $header_image_options, $sidebar_layout, $sidebar_options, $post;
    // Use nonce for verification
    wp_nonce_field( basename( __FILE__ ), 'custom_meta_box_nonce' );

    // Begin the field table and loop  ?>
    <div class="catchevolution-meta sidebar-layout">
    	<div class="layout-css">
    		<h4 class="title"><?php _e('Sidebar Layout Options', 'catch-evolution-pro'); ?></h4>
			<?php
            foreach ($sidebar_layout as $field) {
                $meta = get_post_meta( $post->ID, $field['id'], true );
                if (empty( $meta ) ){
                    $meta='default';
                }
                if ( $field['thumbnail']==' ' ): ?>
                    <label class="description box-default">
                        <input type="radio" name="<?php echo $field['id']; ?>" value="<?php echo $field['value']; ?>" <?php checked( $field['value'], $meta ); ?>/>&nbsp;&nbsp;<?php echo $field['label']; ?>
                    </label>
                <?php else: ?>
                    <label class="description box">
                        <span><img src="<?php echo esc_url( $field['thumbnail'] ); ?>" width="100" height="90" alt="" /></span></br>
                        <input type="radio" name="<?php echo $field['id']; ?>" value="<?php echo $field['value']; ?>" <?php checked( $field['value'], $meta ); ?>/>&nbsp;&nbsp;<?php echo $field['label']; ?>
                    </label>
                <?php endif;
            } // end foreach
            ?>
     	</div><!-- .layout-css -->
  	</div><!-- .catchevolution-meta -->

    <div class="catchevolution-meta select-sidebar">
    	<h4 class="title"><?php _e('Select Sidebar', 'catch-evolution-pro'); ?></h4>
        <table id="sidebar-select" class="form-table" width="100%">
            <tbody>
                <tr>
                    <?php
                    foreach ($sidebar_options as $field) {

                        $metasidebar = get_post_meta( $post->ID, $field['id'], true );

                        if (empty( $metasidebar ) ){
                            $metasidebar='default-sidebar';
                        } ?>
                        <td style="max-width: 100px; vertical-align: top;">
                            <label class="description">
                                <input type="radio" name="<?php echo $field['id']; ?>" value="<?php echo $field['value']; ?>" <?php checked( $field['value'], $metasidebar ); ?>/>&nbsp;&nbsp;<?php echo $field['label']; ?>
                            </label>
                        </td>

                        <?php
                    } // end foreach
                    ?>
                </tr>
            </tbody>
        </table>
	</div><!-- .catchevolution-meta -->

     <div class="catchevolution-meta" style="border-bottom: 2px solid #dfdfdf; margin-bottom: 10px; padding-bottom: 10px;">
    	<h4 class="title"><?php _e('Header Featured Image Options', 'catch-evolution-pro'); ?></h4>
        <table id="featuedimage-metabox" class="form-table" width="100%">
            <tbody>
                <tr>
                    <?php
                    foreach ($header_image_options as $field) {

					 	$metaheader = get_post_meta( $post->ID, $field['id'], true );

                        if (empty( $metaheader ) ){
                            $metaheader='default';
                        } ?>

                        <td style="width: 100px;">
                            <label class="description">
                                <input type="radio" name="<?php echo $field['id']; ?>" value="<?php echo $field['value']; ?>" <?php checked( $field['value'], $metaheader ); ?>/>&nbsp;&nbsp;<?php echo $field['label']; ?>
                            </label>
                        </td>

                        <?php
                    } // end foreach
                    ?>
                </tr>
            </tbody>
        </table>
	</div><!-- .catchevolution-meta -->

<?php
}


/**
 * save the custom metabox data
 * @hooked to save_post hook
 */
function catchevolution_save_custom_meta( $post_id ) {
	global $header_image_options, $sidebar_layout, $sidebar_options, $post;

	// Verify the nonce before proceeding.
    if ( !isset( $_POST[ 'custom_meta_box_nonce' ] ) || !wp_verify_nonce( $_POST[ 'custom_meta_box_nonce' ], basename( __FILE__ ) ) )
        return;

	// Stop WP from clearing custom fields on autosave
    if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE)
        return;

	if ('page' == $_POST['post_type']) {
        if (!current_user_can( 'edit_page', $post_id ) )
            return $post_id;
    } elseif (!current_user_can( 'edit_post', $post_id ) ) {
            return $post_id;
    }

	foreach ( $header_image_options as $field ) {
		//Execute this saving function
		$old = get_post_meta( $post_id, $field['id'], true);
		$new = $_POST[$field['id']];
		if ($new && $new != $old) {
			update_post_meta($post_id, $field['id'], $new);
		} elseif ('' == $new && $old) {
			delete_post_meta($post_id, $field['id'], $old);
		}
	 } // end foreach

	foreach ($sidebar_layout as $field) {
		//Execute this saving function
		$old = get_post_meta( $post_id, $field['id'], true);
		$new = $_POST[$field['id']];
		if ($new && $new != $old) {
			update_post_meta($post_id, $field['id'], $new);
		} elseif ('' == $new && $old) {
			delete_post_meta($post_id, $field['id'], $old);
		}
	 } // end foreach

	foreach ( $sidebar_options as $field ) {
		//Execute this saving function
		$old = get_post_meta( $post_id, $field['id'], true);
		$new = $_POST[$field['id']];
		if ($new && $new != $old) {
			update_post_meta($post_id, $field['id'], $new);
		} elseif ('' == $new && $old) {
			delete_post_meta($post_id, $field['id'], $old);
		}
	 } // end foreach

}
add_action('save_post', 'catchevolution_save_custom_meta');