<?php
/**
 * This functions makes the theme compatible with qTranslate Plugin
 *
 *
 * @package Catch Themes
 * @subpackage Catch Evolution
 * @since Catch Evolution Pro 2.0
 */
 

if ( ! function_exists( 'catchevolution_menuitem' ) ) :
/**
 * Template for Converting Home link in Custom Menu
 *
 * To override this in a child theme
 * simply create your own catchevolution_menuitem(), and that function will be used instead.
 *
 * @since Catch Evolution Pro 2.0
 */
function catchevolution_menuitem( $menu_item ) {
	// convert local URLs in custom menu items	
	if ( $menu_item->type == 'custom' && stripos($menu_item->url, get_site_url()) !== false) {
		$menu_item->url = qtrans_convertURL($menu_item->url);
	}     
		return $menu_item;
} // catchevolution_menuitem
endif;

add_filter( 'wp_setup_nav_menu_item', 'catchevolution_menuitem', 0 );


if ( ! function_exists( 'catchevolution_qtranslate_invalidcache' ) ) :
/**
 * Template for Clearing qtranslate Invalid Cache
 *
 * To override this in a child theme
 * simply create your own catchevolution_qtranslate_invalidcache(), and that function will be used instead.
 *
 * @since Catch Evolution Pro 2.0
 */
function catchevolution_qtranslate_invalidcache() {
	delete_transient( 'catchevolution_sliders' );
	delete_transient( 'catchevolution_page_sliders' );
	delete_transient( 'catchevolution_category_sliders' );
	delete_transient( 'catchevolution_imagesliders' );
	delete_transient( 'catchevolution_footercode' );
	delete_transient( 'catchevolution_footer_content_new' );
} // catchevolution_qtranslate_invalidcache
endif;

add_action( 'after_setup_theme', 'catchevolution_qtranslate_invalidcache' );