<?php
if ( ! function_exists( 'catchevolution_available_fonts' ) ) :
/**
 * Returns an array of fonts available to the theme.
 *
 * @since Catch Evolution Pro 1.0
 */
function catchevolution_available_fonts() {

	return array(
		'arial-black'			=> '"Arial Black", Gadget, sans-serif',
		'allan'					=> 'Allan, sans-serif',
		'allerta'				=> 'Allerta, sans-serif',
		'amaranth'				=> 'Amaranth, sans-serif',
		'arial'					=> 'Arial, Helvetica, sans-serif',
		'bitter'				=> 'Bitter, sans-serif',
		'cabin'					=> 'Cabin, sans-serif',
		'cantarell'				=> 'Cantarell, sans-serif',
		'century-gothic'		=> '"Century Gothic", sans-serif',
		'courier-new'			=> '"Courier New", Courier, monospace',
		'crimson-text'			=> '"Crimson Text", sans-serif',
		'dancing-script'		=> '"Dancing Script", sans-serif',
		'droid-sans'			=> '"Droid Sans", sans-serif',
		'droid-serif'			=> '"Droid Serif", sans-serif',
		'georgia'				=> 'Georgia, "Times New Roman", Times, serif',
		'helvetica'				=> 'Helvetica, "Helvetica Neue", Arial, sans-serif',
		'helvetica-neue'		=> '"Helvetica Neue",Helvetica,Arial,sans-serif',
		'istok-web'				=> '"Istok Web", sans-serif',
		'impact'				=> 'Impact, Charcoal, sans-serif',
		'josefin-sans'			=> '"Josefin Sans", sans-serif',
		'lato'					=> 'Lato, sans-serif',
		'libre-baskerville'		=> '"Libre Baskerville", sans-serif',
		'lobster'				=> 'Lobster, sans-serif',
		'lora'					=> 'Lora, serif',
		'lucida-sans-unicode'	=> '"Lucida Sans Unicode", "Lucida Grande", sans-serif',
		'lucida-grande'			=> '"Lucida Grande", "Lucida Sans Unicode", sans-serif',
		'lustria'				=> 'Lustria, sans-serif',
		'merriweather'			=> 'Merriweather, sans-serif',
		'monaco'				=> 'Monaco, Consolas, "Lucida Console", monospace, sans-serif',
		'nobile'				=> 'Nobile, sans-serif',
		'open-sans'				=> '"Open Sans", sans-serif',
		'oswald'				=> 'Oswald, sans-serif',
		'palatino'				=> 'Palatino, "Palatino Linotype", "Book Antiqua", serif',
		'patua-one'				=> '"Patua One", sans-serif',
		'playfair-display'		=> '"Playfair Display", sans-serif',
		'pt-sans'				=> '"PT Sans", sans-serif',
		'pt-serif'				=> '"PT Serif", serif',
		'quattrocento'			=> 'Quattrocento, sans-serif',
		'quattrocento-sans' 	=> '"Quattrocento Sans", sans-serif',
		'raleway'				=> 'Raleway, sans-serif',
		'roboto'				=> 'Roboto, sans-serif',
		'roboto-slab'			=> 'Roboto Slab, sans-serif',
		'tahoma'				=> 'Tahoma, Geneva, sans-serif',
		'trebuchet-ms'			=> '"Trebuchet MS", "Helvetica", sans-serif',
		'times-new-roman'		=> '"Times New Roman", Times, serif',
		'ubuntu'				=> 'Ubuntu, sans-serif',
		'valera'				=> 'Valera, sans-serif',
		'verdana'				=> 'Verdana, Geneva, sans-serif',
		'yanone-kaffeesatz' 	=> '"Yanone Kaffeesatz", sans-serif'
	);

}
endif;


/**
 * @package Catch Themes
 * @subpackage Catch_Evolution_Pro
 * @since Catch Evolution Pro 1.0
 */

/**
 * Set the default values for all the settings. If no user-defined values
 * is available for any setting, these defaults will be used.
 */
global $catchevolution_options_defaults;
$catchevolution_options_defaults = array(
	'disable_responsive'				=> '0',
	'enable_menus'						=> '0',
	'fav_icon'							=> get_template_directory_uri().'/images/favicon.ico',
 	'remove_favicon'					=> '0',
	'web_clip'							=> get_template_directory_uri().'/images/apple-touch-icon.png',
 	'remove_web_clip'					=> '0',
	'featured_logo_header'				=> get_template_directory_uri().'/images/logo.png',
	'disable_header'					=> '0',
	'disable_header_content'			=> '0',
 	'remove_header_logo'				=> '1',
 	'remove_site_title'					=> '0',
 	'remove_site_description'			=> '0',
	'site_title_above'					=> '0',
	'seperate_logo'						=> '0',
	'disable_header_menu'				=> '0',
	'top_menu_logo'						=> '',
	'search_display_text'				=> esc_attr__( 'Search', 'catch-evolution-pro' ),
	'reset_header_space'				=> '2',
	'header_top_size'					=> '40',
	'header_top_size_unit'				=> 'px',
	'header_bottom_size'				=> '40',
	'header_bottom_size_unit'			=> 'px',
	'enable_featured_header_image'		=> 'postpage',
	'page_featured_image'				=> 'full',
	'featured_header_image_position'	=> 'before-menu',
	'featured_header_image_alt'			=> esc_attr( get_bloginfo( 'name', 'display' ) ),
	'featured_header_image_url'			=> esc_url( home_url( '/' ) ),
	'featured_header_image_base'		=> '0',
	'reset_header_image'				=> '2',
	'color_scheme'						=> 'light',
	'reset_color'						=> '2',
	'header_background'					=> '#fff',
	'header_image_background'			=> '#fff',
	'slider_background'					=> '#000',
	'content_background'				=> 'transparent',
	'article_background'				=> '#fff',
	'footer_background'					=> '#f1f1f1',
	'footer_sidebar_background'			=> 'transparent',
	'widget_background'					=> '#fff',
	'widget_footer_background'			=> '#f1f1f1',
	'menu_background'					=> '#333',
	'menu_color'						=> '#eee',
	'hover_background_color'			=> '#e5e5e5',
	'hover_text_color'					=> '#373737',
	'active_background_color'			=> 'transparent',
	'active_text_color'					=> '#eee',
	'sub_menu_bg_color'					=> '#f9f9f9',
	'sub_menu_text_color'				=> '#444',
	'slider_text'						=> '#fff',
	'heading_color'						=> '#222',
	'heading_hover_color'				=> '#1982d1',
	'meta_color'						=> '#666',
	'text_color'						=> '#373737',
	'link_color'						=> '#1982d1',
	'widget_heading_color'				=> '#222',
 	'widget_text_color'					=> '#373737',
	'widget_link_color'					=> '#1982d1',
	'title_hover_color'					=> '#1982d1',
	'tagline_color'						=> '#7a7a7a',
	'reset_typography'					=> '2',
	'body_font'							=> 'helvetica',
	'title_font'						=> 'helvetica',
	'headings_font'						=> 'helvetica',
	'content_font'						=> 'helvetica',
	'reset_font_size'					=> '2',
	'body_font_size'					=> '15',
	'body_font_size_unit'				=> 'px',
	'body_line_height'					=> '1.62',
	'body_line_height_unit'				=> 'em',
	'site_title_font_size'				=> '36',
	'site_title_font_size_unit'			=> 'px',
	'site_title_line_height'			=> '46',
	'site_title_line_height_unit'		=> 'px',
	'site_description_font_size'		=> '14',
	'site_description_font_size_unit'	=> 'px',
	'site_description_line_height'		=> '1.62',
	'site_description_line_height_unit'	=> 'em',
	'h1_font_size'						=> '26',
	'h1_font_size_unit'					=> 'px',
	'h2_font_size'						=> '24',
	'h2_font_size_unit'					=> 'px',
	'h3_font_size'						=> '22',
	'h3_font_size_unit'					=> 'px',
	'h4_font_size'						=> '20',
	'h4_font_size_unit'					=> 'px',
	'headings_line_height'				=> '1.62',
	'headings_line_height_unit'			=> 'em',
	'content_font_size'					=> '15',
	'content_font_size_unit'			=> 'px',
	'content_line_height'				=> '1.62',
	'content_line_height_unit'			=> 'em',
	'sidebar_layout'					=> 'right-sidebar',
	'woocommerce_layout'				=> 'no-sidebar-full-width',
	'content_layout'					=> 'excerpt',
	'reset_sidebar_layout'				=> '2',
 	'front_page_category'				=> array(),
	'exclude_slider_post'				=> '0',
 	'slider_qty'						=> 4,
	'select_slider_type'				=> 'demo-slider',
	'select_slider_layout'				=> 'normal',
	'enable_slider'						=> 'enable-slider-homepage',
	'slider_category'					=> array(),
 	'featured_slider'					=> array(),
	'featured_slider_page'				=> array(),
	'featured_image_slider_image'		=> array(),
	'featured_image_slider_link' 		=> array(),
	'featured_image_slider_base'		=> array(),
	'featured_image_slider_title' 		=> array(),
	'featured_image_slider_content' 	=> array(),
 	'transition_effect'					=> 'fade',
 	'transition_delay'					=> 4,
 	'transition_duration'				=> 1,
	'disable_footer_social'				=> 0,
 	'social_facebook'					=> '',
 	'social_twitter'					=> '',
 	'social_googleplus'					=> '',
 	'social_pinterest'					=> '',
 	'social_youtube'					=> '',
 	'social_vimeo'						=> '',
 	'social_linkedin'					=> '',
 	'social_aim'						=> '',
 	'social_myspace'					=> '',
 	'social_flickr'						=> '',
 	'social_tumblr'						=> '',
 	'social_deviantart'					=> '',
 	'social_dribbble'					=> '',
 	'social_wordpress'					=> '',
 	'social_rss'						=> '',
	'social_slideshare'					=> '',
 	'social_instagram'					=> '',
 	'social_skype'						=> '',
	'social_soundcloud'					=> '',
	'social_email'						=> '',
	'social_contact'					=> '',
	'social_xing'						=> '',
	'social_meetup'						=> '',
 	'custom_css'						=> '',
	'disable_notifier'					=> '0',
 	'google_verification'				=> '',
 	'yahoo_verification'				=> '',
 	'bing_verification'					=> '',
 	'analytic_header'					=> '',
 	'analytic_footer'					=> '',
 	'sidebar_layout'					=> 'right-sidebar',
 	'more_tag_text'						=> esc_attr__( 'Continue Reading', 'catch-evolution-pro' ) . ' &rarr;',
 	'excerpt_length'					=> 30,
	'reset_more_tag'					=> '2',
	'feed_url'							=> '',
	'commenting_setting'				=> 'default',
	'footer_code'						=> '<div class="copyright">'. esc_attr__( 'Copyright', 'catch-evolution-pro' ) . ' &copy; [the-year] [site-link]. '. esc_attr__( 'All Rights Reserved', 'catch-evolution-pro' ) . '.</div><div class="powered">'. esc_attr__( 'Theme:', 'catch-evolution-pro' ) . ' [theme-link]</div>',
	'reset_footer'						=> '2'
);
global $catchevolution_options_settings;
$catchevolution_options_settings = catchevolution_options_set_defaults( $catchevolution_options_defaults );

function catchevolution_options_set_defaults( $catchevolution_options_defaults ) {
	$catchevolution_options_settings = array_merge( $catchevolution_options_defaults, (array) get_option( 'catchevolution_options', array() ) );
	return $catchevolution_options_settings;
}

/**
 * Returns an array of color schemes registered for catch-evolution.
 *
 * @since Catch Evolution Pro 3.2
 */
function catchevolution_color_schemes() {
	$options = array(
		'light' 		=> __( 'Light', 'catch-evolution-pro' ),
		'dark'			=> __( 'Dark', 'catch-evolution-pro' ),
		'blue' 			=> __( 'Blue', 'catch-evolution-pro' ),
		'green'			=> __( 'Green', 'catch-evolution-pro' ),
	);

	return apply_filters( 'catchevolution_color_schemes', $options );
}


/**
 * Returns an array of sidebar layout options
 *
 * @since Catch Evolution Pro 3.2
 */
function catchevolution_sidebar_layout_options() {
	$options = array(
		'right-sidebar' 		=> __( 'Right Sidebar', 'catch-evolution-pro' ),
		'left-sidebar' 			=> __( 'Left Sidebar', 'catch-evolution-pro' ),
		'no-sidebar-one-column'	=> __( 'No Sidebar, One Column', 'catch-evolution-pro' ),
		'no-sidebar-full-width'	=> __( 'No Sidebar, Full Width', 'catch-evolution-pro' ),
		'no-sidebar'			=> __( 'No Sidebar', 'catch-evolution-pro' ),
		'three-columns'			=> __( 'Three Columns', 'catch-evolution-pro' ),

		'three-columns-sidebar'	=> __( 'Three Columns Sidebar', 'catch-evolution-pro' ),
	);

	return apply_filters( 'catchevolution_sidebar_layout_options', $options );
}


/**
 * Returns an array of content layout options
 *
 * @since Catch Evolution Pro 3.2
 */
function catchevolution_content_layout_options() {
	$options = array(
		'full'            => __( 'Full Content Display', 'catch-evolution-pro' ),
		'full-with-image' => __( 'Full Content with Featured Image', 'catch-evolution-pro' ),
		'excerpt'         => __( 'Excerpt/Blog Display', 'catch-evolution-pro' ),
	);

	return apply_filters( 'catchevolution_content_layout_options', $options );
}

/**
 * Returns an array of slider enable options
 *
 * @since Catch Evolution Pro 3.2
 */
function catchevolution_enable_slider_options() {
	$options = array(
		'enable-slider-homepage'=> __( 'Homepage', 'catch-evolution-pro' ),
		'enable-slider-allpage' => __( 'Entire Site', 'catch-evolution-pro' ),
		'disable-slider' 		=> __( 'Disable', 'catch-evolution-pro' ),
	);

	return apply_filters( 'catchevolution_enable_slider_options', $options );
}


/**
 * Returns an array of slider transition effects
 *
 * @since Catch Evolution Pro 3.2
 */
function catchevolution_transition_effects() {
	$options = array(
		'fade'			=> __( 'fade', 'catch-evolution-pro' ),
		'wipe' 			=> __( 'wipe', 'catch-evolution-pro' ),
		'scrollUp' 		=> __( 'scrollUp', 'catch-evolution-pro' ),
		'scrollDown'	=> __( 'scrollDown', 'catch-evolution-pro' ),
		'scrollUp' 		=> __( 'scrollUp', 'catch-evolution-pro' ),
		'scrollLeft'	=> __( 'scrollLeft', 'catch-evolution-pro' ),
		'scrollRight'	=> __( 'scrollRight', 'catch-evolution-pro' ),
		'blindX' 		=> __( 'blindX', 'catch-evolution-pro' ),
		'blindY' 		=> __( 'blindY', 'catch-evolution-pro' ),
		'blindZ' 		=> __( 'blindZ', 'catch-evolution-pro' ),
		'cover' 		=> __( 'cover', 'catch-evolution-pro' ),
		'shuffle' 		=> __( 'shuffle', 'catch-evolution-pro' ),
	);

	return apply_filters( 'catchevolution_transition_effects', $options );
}

/**
 * Returns an array of enable header image options
 *
 * @since Catch Evolution Pro 3.2
 */
function catchevolution_enable_header_featured_image() {
	$options = array(
		'allpage' 		=> __( 'Entire Site', 'catch-evolution-pro' ),
		'homepage' 		=> __( 'Homepage', 'catch-evolution-pro' ),
		'postpage' 		=> __( 'Entire Site, Page/Post Featured Image', 'catch-evolution-pro' ),
		'pagespostes'	=> __( 'Pages & Posts', 'catch-evolution-pro' ),
		'disable'		=> __( 'Disable', 'catch-evolution-pro' ),
	);

	return apply_filters( 'catchevolution_enable_header_featured_image', $options );
}

/**
 * Returns an array of page/post featured image size
 *
 * @since Catch Evolution Pro 3.2
 */
function catchevolution_page_post_featured_image_size() {
	$options = array(
		'full' 		=> __( 'Full Image', 'catch-evolution-pro' ),
		'slider' 	=> __( 'Slider Image', 'catch-evolution-pro' ),
		'featured'	=> __( 'Featured Image', 'catch-evolution-pro' ),
	);

	return apply_filters( 'catchevolution_page_post_featured_image_size', $options );
}

/**
 * Returns an array of featured image postion
 *
 * @since Catch Evolution Pro 3.2
 */
function catchevolution_featured_image_position() {
	$options = array(
		'before-menu'			=> __( 'Before Menu', 'catch-evolution-pro' ),
		'after-menu'			=> __( 'After Menu', 'catch-evolution-pro' ),
		'before-header' 		=> __( 'Before header', 'catch-evolution-pro' ),
		'after-sidebartop'		=> __( 'After Top Sidebar', 'catch-evolution-pro' ),
	);

	return apply_filters( 'catchevolution_featured_image_position', $options );
}

/**
 * Returns an array of slider types
 *
 * @since Catch Evolution Pro 3.2
 */
function catchevolution_slider_types() {
	$options = array(
		'demo-slider' 		=> __( 'Demo Slider', 'catch-evolution-pro' ),
		'post-slider' 		=> __( 'Post Slider', 'catch-evolution-pro' ),
		'page-slider'		=> __( 'Page Slider', 'catch-evolution-pro' ),
		'category-slider'	=> __( 'Category Slider', 'catch-evolution-pro' ),
		'image-slider'		=> __( 'Image Slider', 'catch-evolution-pro' ),
	);

	return apply_filters( 'catchevolution_slider_types', $options );
}

/**
 * Returns an array of slider types
 *
 * @since Catch Evolution Pro 3.2
 */
function catchevolution_slider_layout() {
	$options = array(
		'normal' 			=> __( 'Normal Width Slider', 'catch-evolution-pro' ),
		'fullwidth' 		=> __( 'Full Width Slider', 'catch-evolution-pro' ),
	);

	return apply_filters( 'catchevolution_slider_layout', $options );
}