<?php
/**
 * The Sidebar containing the main widget area.
 *
 * @package Catch Themes
 * @subpackage Catch_Evolution_Pro
 * @since Catch Evolution 1.0
 */


/**
 * catchevolution_before_secondary hook
 */
do_action( 'catchevolution_before_secondary' );

$layout = catchevolution_get_theme_layout();

if ( 'left-sidebar' == $layout || 'right-sidebar' == $layout || 'three-columns' == $layout || 'three-columns-sidebar' == $layout ) {
	//Getting Ready to load data from Theme Options Panel
	global $post, $wp_query;

	// Front page displays in Reading Settings
	$page_on_front = get_option('page_on_front') ;
	$page_for_posts = get_option('page_for_posts');

	// Get Page ID outside Loop
	$page_id = $wp_query->get_queried_object_id();

	// Blog Page setting in Reading Settings
	if ( $page_id == $page_for_posts ) {
		$sidebaroptions = get_post_meta( $page_for_posts, 'catchevolution-sidebar-options', true );
	}
	// Settings for page/post/attachment
	elseif ( $post ) {
 		if ( is_attachment() ) {
			$parent = $post->post_parent;
			$sidebaroptions = get_post_meta( $parent, 'catchevolution-sidebar-options', true );
		} else {
			$sidebaroptions = get_post_meta( $post->ID, 'catchevolution-sidebar-options', true );
		}
	}
	else {
		$sidebaroptions = '';
	}

	?>
    <div id="secondary" class="widget-area" role="complementary">
		<?php
		/**
		 * catchevolution_before_widget hook
		 */
		do_action( 'catchevolution_before_widget' );

		if ( is_active_sidebar( 'catchevolution_woocommerce_sidebar' ) && class_exists( 'woocommerce' ) && ( is_woocommerce() || is_cart() || is_checkout() ) ) {
        	dynamic_sidebar( 'catchevolution_woocommerce_sidebar' );
   		} elseif ( is_active_sidebar( 'catchevolution_optional_sidebar_one' ) && $sidebaroptions == 'optional-sidebar-one' ) {
			dynamic_sidebar( 'catchevolution_optional_sidebar_one' );
		} elseif ( is_active_sidebar( 'catchevolution_optional_sidebar_two' ) && $sidebaroptions == 'optional-sidebar-two' ) {
			dynamic_sidebar( 'catchevolution_optional_sidebar_two' );
		} elseif ( is_active_sidebar( 'catchevolution_optional_sidebar_three' ) && $sidebaroptions == 'optional-sidebar-three' ) {
			dynamic_sidebar( 'catchevolution_optional_sidebar_three' );
		} elseif ( is_active_sidebar( 'catchevolution_home_sidebar' ) && ( is_front_page() || ( is_home() && $page_id != $page_for_posts ) ) ) {
			dynamic_sidebar( 'catchevolution_home_sidebar' );
		} elseif ( is_active_sidebar( 'catchevolution_archive_sidebar' ) && ( $page_id == $page_for_posts || is_archive() || is_page_template( 'page-blog.php' ) ) ) {
			dynamic_sidebar( 'catchevolution_archive_sidebar' );
		} elseif ( is_page() && is_active_sidebar( 'catchevolution_page_sidebar' ) ) {
            dynamic_sidebar( 'catchevolution_page_sidebar' );
        } elseif ( is_single() && is_active_sidebar( 'catchevolution_post_sidebar' ) ) {
            dynamic_sidebar( 'catchevolution_post_sidebar' );
        } else {
            dynamic_sidebar( 'sidebar-1' );
        }

		/**
		 * catchevolution_after_widget hook
		 */
		do_action( 'catchevolution_after_widget' ); ?>

    </div><!-- #secondary .widget-area -->
    <?php
} //end of main if

/**
 * catchevolution_after_secondary hook
 */
do_action( 'catchevolution_after_secondary' );